CMSIS-DSP: arm_graphic_equalizer_example_q31.c File Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Macros | Functions | Variables
arm_graphic_equalizer_example_q31.c File Reference

## Macros

#define | TESTLENGTH
#define | BLOCKSIZE
#define | NUMBLOCKS
#define | NUMSTAGES
#define | SNR_THRESHOLD_F32

## Functions

int32_t | main (void)

## Variables

float32_t | testInput_f32 [TESTLENGTH]
float32_t | testRefOutput_f32 [TESTLENGTH]
q31_t | inputQ31 [BLOCKSIZE]
q31_t | outputQ31 [BLOCKSIZE]
const q31_t | coeffTable [950]
int | gainDB [5]
float32_t | snr

## Macro Definition Documentation

#define BLOCKSIZE

Examples:
  arm_graphic_equalizer_example_q31.c.

#define NUMBLOCKS

Examples:
  arm_graphic_equalizer_example_q31.c.

#define NUMSTAGES

Examples:
  arm_graphic_equalizer_example_q31.c.

#define SNR_THRESHOLD_F32

Examples:
  arm_graphic_equalizer_example_q31.c.

#define TESTLENGTH

Examples:
  arm_graphic_equalizer_example_q31.c.

## Function Documentation

int32_t main | ( | void |  | ) |

Examples:
  arm_graphic_equalizer_example_q31.c.

## Variable Documentation

const q31_t coeffTable[950]

Examples:
  arm_graphic_equalizer_example_q31.c.

int gainDB[5]

Examples:
  arm_graphic_equalizer_example_q31.c.

q31_t inputQ31[BLOCKSIZE]

Examples:
  arm_graphic_equalizer_example_q31.c.

q31_t outputQ31[BLOCKSIZE]

Examples:
  arm_graphic_equalizer_example_q31.c.

float32_t snr

Examples:
  arm_graphic_equalizer_example_q31.c.

float32_t testInput_f32[TESTLENGTH]

Examples:
  arm_graphic_equalizer_example_q31.c.

float32_t testRefOutput_f32[TESTLENGTH]

Examples:
  arm_graphic_equalizer_example_q31.c.